%----------------------------------------------------------------------------------------
function [out,def] = mydeform(in,def2,flag)
% function [out,def] = deform(in,def)

in = double(in);

[M,N]   = size( in   );
[P,Q,R] = size( def2 );

def = def2;
if( (M~=P) | (N~=Q) | (R>2) )
	def = zeros(M,N,2);
	def(:,:,1) = imresize(def2(:,:,1),[M,N],'bicubic').*(M/P);
	def(:,:,2) = imresize(def2(:,:,2),[M,N],'bicubic').*(N/Q);
end

out = zeros(M,N);

[xx yy] = meshgrid(1:N,1:M);

c_x = xx+def(:,:,1);
c_y = yy+def(:,:,2);

    [p w] = interpola2(c_x(:),c_y(:),N,M);
if flag==0
    out = sum(w.*in(p),2);
else
%Sin interpolacin-----
    [Mx indexM]=max(w,[],2);

for id=1:length(indexM);
    p2(id)=p(id,indexM(id));
end
    out = (in(p2));

end
  
    out = reshape(out,M,N);

