function [I,ct]=vol2im(Im,x,y)

% VOL2IM
%
% Pasa un volumen a una imagen 2D
%
%  Im: Vol de entrada
%  x:  Num de filas
%  y:  Num de columnas
%
% Nota: x, y deben ser Mz=x*y
% 

[Mx My Mz]=size(Im);

if x*y~= Mz
  if x*y<Mz
      Im=Im(:,:,1:x*y);
  elseif x*y>Mz
      Im(:,:,(Mz+1):x*y)=zeros([Mx,My,(x*y-Mz)]);
  end

end

 
I=[];
ct=[];
for ii=0:(x-1)

   It1=[];
   ct1=[];
   for jj=1:y
	It1=[It1 Im(:,:,ii.*y+jj)];
	ct1=[ct1 ii.*y+jj];
   end
   I=[I; It1];
   ct=[ct; ct1];
end


