function [Mi T1i]=T1_estimate(St,alpha,TR,modo)


% FUNCTION T1_ESTIMATE
%
% Estimates T1(t) form intensity values St(t)
%
if modo==1
[Ly]=length(St);
%X=zeros([Ly,2]);

%for ii=1:Ly
%  Sr=St(ii);
%  fu_x=@(y)sum((Sr-y(1).*sin(alpha).*(1-exp(-TR/y(2)))./(1-cos(alpha).*exp%(-TR/y(2)))).^2);
%  X(ii,:)=fminsearch(fu_x,[700,0.4]);
%end
%Mi=X(:,1);
%T1i=X(:,2);

Mi=max(St(:)).*4./sin(alpha);
T1i=-TR./log((St-Mi*sin(alpha))./(St.*cos(alpha)-Mi.*sin(alpha))).*10^(-3);



else %Estimate modo 2----------------
%POR AHORA NO VA BIEN..............

[Lx Ly]=size(St);
X=zeros([Ly,2]);

for ii=1:Ly
  Sr=St(:,ii);
  M1=mean(double(Sr));
  S1=std(double(Sr));
  Sr=Sr((Sr<(M1+0.5.*S1))&(Sr>(M1-0.5.*S1)));
Sr=mean(Sr);
  fu_x=@(y)sum((Sr-y(1).*sin(alpha).*(1-exp(-TR/y(2)))./(1-cos(alpha).*exp(-TR/y(2)))).^2);
  X(ii,:)=fminsearch(fu_x,[700,0.4]);
end
Mi=X(:,1);
T1i=X(:,2);
end

%=====================================================================

